Package org.apache.sling.junit.remote.testrunner

# Class RemoteExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.junit.remote.testrunner.RemoteExecutionException

All Implemented Interfaces:
  `Serializable`

public class RemoteExecutionException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteExecutionException(String failure, String trace)`

## Method Summary

Modifier and Type
Method
Description
`static RemoteExecutionException`
`getExceptionFromTrace(String trace)`
`StackTraceElement[]`
`getStackTrace()`
`void`
`printStackTrace(PrintStream s)`
`void`
`printStackTrace(PrintWriter s)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteExecutionException

public RemoteExecutionException(String failure, String trace) throws NumberFormatException, IOException

Throws:
  `NumberFormatException`
  `IOException`

## Method Details

### getExceptionFromTrace

public static RemoteExecutionException getExceptionFromTrace(String trace) throws IOException

Throws:
  `IOException`

### printStackTrace

public void printStackTrace(PrintStream s)

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintWriter s)

Overrides:
  `printStackTrace` in class `Throwable`

### getStackTrace

public StackTraceElement[] getStackTrace()

Overrides:
  `getStackTrace` in class `Throwable`